<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@page import="java.util.List"%>
<%@page import="com.fadu.app.util.SystemCache"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<c:set var="contextPath" value="${pageContext.request.contextPath}"></c:set>

<link rel="stylesheet" href="${contextPath}/static/assets/css/jquery-ui.css" />
<link rel="stylesheet" href="${contextPath}/static/assets/css/ui.jqgrid.css" />

<div class="well well-sm" id="grid_search_div">
	省：<select id="provinceId" onchange="setCity(this)">
		    <option selected value="" >全部</option>
		    <% for(String s:SystemCache.provinceMap.keySet()){ %>
		    <option value="<%=s %>" ><%=SystemCache.getProvinceName(s) %></option>
		    <%} %>
		</select>
	市：<select id="cityId">
		</select>
	<input type="text" class="input-sm" placeholder="开始日期" id="startDate"/>
	<input type="text" class="input-sm" placeholder="结束日期" id="endDate"/>
	<input type="text" class="input-sm" placeholder="搜索关键字" id="keyword"/>
	<button type="button" class="btn btn-purple btn-sm" id="searchd">
		<span class="ace-icon fa fa-search icon-on-right bigger-110"></span>
		查询
	</button>
</div>

<div class="row" id="grid_div">
	<div class="col-xs-12">
		<table id="grid-table"></table>
		<div id="grid-pager"></div>
		<script type="text/javascript">
			var $path_base = "${contextPath}/static";//in Ace demo this will be used for editurl parameter
		</script>
		<!-- PAGE CONTENT ENDS -->
	</div><!-- /.col -->
</div><!-- /.row -->

<!-- page specific plugin scripts -->
<script type="text/javascript">
	var myGrid = null;
	var scripts = [ null, "${contextPath}/static/assets/js/date-time/bootstrap-datepicker.js", "${contextPath}/static/assets/js/date-time/locales/bootstrap-datepicker.zh-CN.js",
					 "${contextPath}/static/assets/js/jqGrid/jquery.jqGrid.js", "${contextPath}/static/assets/js/jqGrid/i18n/grid.locale-cn.js",
	                "${contextPath}/static/js/fs/lawALGrid.js", "${contextPath}/static/js/fs/lawMoneyDetail.js", null ];
	$('.page-content-area').ace_ajax('loadScripts', scripts, function() {
		// inline scripts related to this page
    	jQuery(function($) {
    		var grid_selector = "#grid-table";
    		var pager_selector = "#grid-pager";

    		// resize to fit page size
    		$(window).on('resize.jqGrid', function() {
    			$(grid_selector).jqGrid('setGridWidth', $(".page-content").width());
    		})
    		// resize on sidebar collapse/expand
    		var parent_column = $(grid_selector).closest('[class*="col-"]');
    		$(document).on('settings.ace.jqGrid', function(ev, event_name, collapsed) {
    			if (event_name === 'sidebar_collapsed' || event_name === 'main_container_fixed') {
    				// setTimeout is for webkit only to give time for DOM changes and then redraw!!!
    				setTimeout(function() {
    					$(grid_selector).jqGrid('setGridWidth', parent_column.width());
    				}, 0);
    			}
    		});
    		
    		$(document).keydown(function(event) {
				var key = window.event ? event.keyCode : event.which;
				if (key == 13) {
					$("#searchd").click();
				}
			});

			/*搜索框  主要对Jquery grid进行刷新 带参数刷新    */
			$("#searchd").click(function(){
				myGrid.setGridParam({postData:{'keyword':$('#keyword').val(),'provinceId':$('#provinceId').val(),'cityId':$('#cityId').val(),'startDate':$('#startDate').val(),'endDate':$('#endDate').val()},url : '${contextPath}/fs/report/getLawMoneyReport'}).trigger('reloadGrid');
			});
			
    	    myGrid=	jQuery(grid_selector).jqGrid({
    			subGrid : true,
    			url : "${contextPath}/fs/report/getLawMoneyReport",
    			datatype : "json",
    			height : '100%',
    			width : 'auto',
    			colNames : ['律师姓名','身份证号','手机号码','代付总额','支出总额','剩余代付金额'],
    			colModel : [{ 
    				name : 'realName',
    				index : 'realName',
    				width : 120,
    				editable : false
    			},{	name : 'idCard',
    				index : 'idCard',
    				width : 200,
    				search : false,	
    				editable : false,
    				readonly : true
    			},{	name : 'mobile',
    				index : 'mobile',
    				width : 120,
    				search : false,	
    				editable : false,
    			},{	name : 'moneySum',
    				index : 'moneySum',
    				width : 120,
    				editable : false
    			},{	name : 'moneyOut',
    				index : 'moneyOut',
    				width : 120,
    				editable : false
    			},{	name : 'money',
    				index : 'money',
    				width : 120,
    				editable : false
    			}],
    			//scroll : 1, // set the scroll property to 1 to enable paging with scrollbar - virtual loading of records
    			sortname : "realName",
    			sortorder : "desc",
    			viewrecords : true,
    			rowNum : 100,
    			rowList : [ 100, 500, 1000 ],
    			pager : pager_selector,
    			altRows : true,
    			loadComplete : function() {
    				var table = this;
    				setTimeout(function(){
    					styleCheckbox(table);
    					updateActionIcons(table);
    					updatePagerIcons(table);
    					enableTooltips(table);
    				}, 0);
    			},
    			subGridOptions : {
    				plusicon : "ace-icon fa fa-plus blue",
    				minusicon : "ace-icon fa fa-minus blue",
    				openicon: "",
    				expandOnLoad: false,
    				selectOnExpand : false,
    				reloadOnExpand : false
    			},
    			subGridRowExpanded: function(subgrid_id, row_id) {
    				initSubgrid(subgrid_id, row_id, "${contextPath}");
    			},
    			subGridRowColapsed: function(subgrid_id, row_id) {
    				
    			}
    			//caption : "用户管理列表",
    			//autowidth : true,
    			/**
    			grouping : true, 
    			groupingView : { 
    				 groupField : ['name'],
    				 groupDataSorted : true,
    				 plusicon : 'fa fa-chevron-down bigger-110',
    				 minusicon : 'fa fa-chevron-up bigger-110'
    			},
    			*/
    		});
    	    
			$(window).triggerHandler('resize.jqGrid');// trigger window resize to make the grid get the correct size
    		
    		// enable search/filter toolbar
    		// jQuery(grid_selector).jqGrid('filterToolbar',{defaultSearch:true,stringResult:true})
    		// jQuery(grid_selector).filterToolbar({});
    		// switch element when editing inline
    		function aceSwitch(cellvalue, options, cell) {
    			setTimeout(function() {
    				$(cell).find('input[type=checkbox]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
    			}, 0);
    		}
    		
    		// navButtons
    		jQuery(grid_selector).jqGrid('navGrid', pager_selector,  { // navbar options
    			edit : false,
    			editicon : 'ace-icon fa fa-pencil blue',
    			add : false,
    			addicon : 'ace-icon fa fa-plus-circle purple',
    			del : false,
    			delicon : 'ace-icon fa fa-trash-o red',
    			search : false,
    			searchicon : 'ace-icon fa fa-search orange',
    			refresh : true,
    			refreshicon : 'ace-icon fa fa-refresh blue',
    			view : false,
    			viewicon : 'ace-icon fa fa-search-plus grey'
    		}, {
    			// edit record form
    			// closeAfterEdit: true,
    			// width: 700,
    			recreateForm : true,
    			beforeShowForm : function(e) {
    				var form = $(e[0]);
    				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
    				style_edit_form(form);
    			},
				errorTextFormat: function (response) {
					var result = eval('('+response.responseText+')');
				    return result.message;
				}
    		})
    		
    		jQuery(grid_selector).jqGrid('navButtonAdd', pager_selector,{
			   caption : "",
		       title : "导出Excel",
		       buttonicon : "ace-icon fa fa-file-excel-o green", 
		       onClickButton : function () { 
		    	   var keys = [], ii = 0, rows = "";
		    	   var ids = $(grid_selector).getDataIDs(); // Get All IDs
		    	   var row = $(grid_selector).getRowData(ids[0]); // Get First row to get the labels
		    	   var label = $(grid_selector).jqGrid('getGridParam','colNames');
		    	   for(var k in label){
		    		   if(label[k].length > 0){
		    	   	   		rows = rows + label[k] + "\t"; // output each Column as tab delimited
		    		   }
		    	   }
  			       for (var k in row) {
		    	   	   keys[ii++] = k; // capture col names
		    	   }
		    	   rows = rows + "\n"; // Output header with end of line
		    	   var tIds = {"realName":false,"idCard":true,"mobile":true,"moneySum":true,"moneyOut":true,"money":true};
		    	   var v = null;
		    	   for (var i = 0; i < ids.length; i++) {
		    	   	   row = $(grid_selector).getRowData(ids[i]); // get each row
		    	   	   for (var j = 0; j < keys.length; j++){
		    	   		   v = row[keys[j]];
		    	   		   v = v.replace(/[\n\t]/g, "");
		    	   		   if(tIds[keys[j]]){
		    	   		   		rows = rows + '="' + v + '"\t'; // output each Row as tab delimited
		    	   		   }else{
		    	   				rows = rows + v + '\t'; // output each Row as tab delimited   
		    	   		   } 
		    	   	   }
		    	   	   rows = rows + "\n"; // output each row with end of line
		    	   }
		    	   rows = rows + "\n"; // end of line at the end
		    	   var form = "<form name='csvexportform' action='${contextPath}/fs/report/getExcel?fileName=lawMoney' method='post'>";
		    	   form = form + "<input type='hidden' name='csvBuffer' value='" + encodeURIComponent(rows) + "'>";
		    	   form = form + "</form><script>document.csvexportform.submit();</sc" + "ript>";
		    	   OpenWindow = window.open('', '');
		    	   OpenWindow.document.write(form);
		    	   OpenWindow.document.close();
		       } 
			});  
    		
    		function style_edit_form(form) {
    			// form.find('input[name=statusCn]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
    			// don't wrap inside a label element, the checkbox value won't be submitted (POST'ed)
    			// .addClass('ace ace-switch ace-switch-5').wrap('<label class="inline" />').after('<span class="lbl"></span>');

    			// update buttons classes
    			var buttons = form.next().find('.EditButton .fm-button');
    			buttons.addClass('btn btn-sm').find('[class*="-icon"]').hide();// ui-icon, s-icon
    			buttons.eq(0).addClass('btn-primary').prepend('<i class="ace-icon fa fa-check"></i>');
    			buttons.eq(1).prepend('<i class="ace-icon fa fa-times"></i>')

    			buttons = form.next().find('.navButton a');
    			buttons.find('.ui-icon').hide();
    			buttons.eq(0).append('<i class="ace-icon fa fa-chevron-left"></i>');
    			buttons.eq(1).append('<i class="ace-icon fa fa-chevron-right"></i>');
    		}

    		function beforeEditCallback(e) {
    			var form = $(e[0]);
    			form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
    			style_edit_form(form);
    		}

    		// var selr = jQuery(grid_selector).jqGrid('getGridParam','selrow');

    		$(document).one('ajaxloadstart.page', function(e) {
    			$(grid_selector).jqGrid('GridUnload');
    			$('.ui-jqdialog').remove();
    		});
    		
    		$('#startDate').datepicker({
		        language: 'zh-CN',
		        pickTime: false,
		        todayBtn: true,
		        autoclose: true,
		        minView: '2',
		        forceParse: false,
		        format:"yyyy-mm-dd"
		    });
			$('#endDate').datepicker({
		        language: 'zh-CN',
		        pickTime: false,
		        todayBtn: true,
		        autoclose: true,
		        minView: '2',
		        forceParse: false,
		        format:"yyyy-mm-dd"
		    });
    	});
	});
	
	function setCity(obj){  
	    var val = obj.value;  
	    var sec = document.getElementById('cityId');
	    sec.innerHTML = "<option value=''>全部</option>"; 
	    if(val != ''){  
	    	//ajax
	    	$.getJSON("${contextPath}/util/getCitysByProvince?provinceId="+val,function(result){
	    		$.each(result, function(i, v){
	    			sec.innerHTML+="<option value='"+v.value+"'>"+v.name+"</option>";
	    		});
	  		});
	    }     
	} 
</script>